import { OnInit, EventEmitter } from '@angular/core';
import { NgbDateStruct, NgbCalendar, NgbDatepickerConfig } from '@ng-bootstrap/ng-bootstrap';
import { FormatDateService } from './format-date.service';
import { DOData, NJDocData, NJDocDefTemplate } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DoDateNgComponent implements OnInit {
    calendar: NgbCalendar;
    formatDateService: FormatDateService;
    private data;
    DocDefTemplate: NJDocDefTemplate;
    customParameters: any;
    private _docData;
    DocData: NJDocData;
    isValid: boolean;
    loaderKey: string;
    isEnabled: boolean;
    skipPostDocDefData: boolean;
    txtDocData: NJDocData;
    txtDocDefTemplate: NJDocDefTemplate;
    validateDate: string;
    isLoading: boolean;
    isLabelHidden: boolean;
    isHidden: boolean;
    isDirty: boolean;
    LabelStylesText: any;
    errorMessage: string;
    TextBoxStyle: any;
    model: NgbDateStruct;
    displayMonths: number;
    dateNow: Date;
    minDate: {
        year: number;
        month: number;
        day: number;
    };
    maxDate: {
        year: number;
        month: number;
        day: number;
    };
    position: string;
    allowBadDate: boolean;
    onKeydownKey: any;
    hasEvent: boolean;
    clickBut: EventEmitter<DOData>;
    dateAfterViewInit: EventEmitter<DoDateNgComponent>;
    constructor(calendar: NgbCalendar, formatDateService: FormatDateService, data: DocDefPrimLibService, config: NgbDatepickerConfig);
    ngOnInit(): void;
    private NgbDateMaxDate;
    setHiddenStatus(): void;
    ngOnChanges(): void;
    getInputStyle(): object;
    getTextStyle(): object;
    select(d: NgbDateStruct): void;
    testNgbDateStruct(obj: any): boolean;
    onKeydown(event: any): void;
    resetDate(): void;
    setDate(strDate: string): void;
    updateDate(): void;
    onSaveComplete: () => void;
    labelClass(): string;
    inputClass(): string;
    IsFormGroup(): "" | "form-group flex-nowrap";
    ngAfterViewInit(): void;
}
