import { OnInit, QueryList, OnChanges } from '@angular/core';
import { NJDocDefTemplate, NJDocData, NJReadDocDefTemplateLookup, DOData } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { DodropDownComponent } from '../dodrop-down/dodrop-down.component';
import { DotextBoxAutocompleteComponent } from '../dotext-box-autocomplete/dotext-box-autocomplete.component';
export declare class DropdownAutoCompleteComponent implements OnInit, OnChanges {
    private data;
    DocDefTemplate: NJDocDefTemplate;
    customParameters: any;
    DocData: NJDocData;
    loaderKey: string;
    skipPostDocDefData: boolean;
    lstDocData: Array<NJDocData>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    allowDoubleClick: boolean;
    isValid: boolean;
    isEnabled: boolean;
    hasEvent: boolean;
    ddTemp: NJDocDefTemplate;
    autoComleteTemp: NJDocDefTemplate;
    isTextValid: boolean;
    ddData: NJDocData;
    txtData: NJDocData;
    WrapperObject: NJDocData;
    initialized: boolean;
    constructor(data: DocDefPrimLibService);
    DropDownsComponents: QueryList<DodropDownComponent>;
    DotextBoxAutocompleteComponents: QueryList<DotextBoxAutocompleteComponent>;
    ngOnInit(): void;
    onclickBut(ev: DOData): void;
    private getListLookupeData;
    ngOnChanges(): void;
    onTabEvent(ev: any): void;
}
