import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate, AutoCompleteTextBoxEntry } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { Subject } from 'rxjs';
export declare class DotextBoxAutocompleteComponent implements OnInit, OnChanges {
    private data;
    DocDefTemplate: NJDocDefTemplate;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    customParameters: any;
    skipPostDocDefData: any;
    lstDocData: Array<NJDocData>;
    DocData: NJDocData;
    loaderKey: string;
    isValid: boolean;
    private _isEnabled;
    isDirty: boolean;
    isEnabled: boolean;
    isPopUpYesNo: string;
    isLoading: boolean;
    hasEvent: boolean;
    itemList: Array<AutoCompleteTextBoxEntry>;
    filteredList: any[];
    filteredListRefrences: any[];
    previousKey: string;
    currentKey: string;
    docDefComposite: any;
    textField: string;
    flag: boolean;
    keySearchFlag: boolean;
    ContainsTypeSearch: boolean;
    StylesText: any;
    LabelStylesText: any;
    inputStyles: any;
    errorMessage: string;
    clickBut: EventEmitter<DOData>;
    TextBoxStyle: any;
    TextBoxStyles: any;
    isReadOnly: boolean;
    modelChanged: Subject<any>;
    constructor(data: DocDefPrimLibService);
    initialized: boolean;
    needToCallOnChanges: boolean;
    clearIfNoResult: boolean;
    preLoadExisting: boolean;
    minimumPrefixLength: number;
    ngOnInit(): void;
    private getListAutoCompleteDataFromExisting;
    private getListAutoCompleteData;
    ngOnChanges(): void;
    onInput(value: any): void;
    searchClient(term: string): void;
    curItem: any;
    onselectClient(item: any): void;
    SaveValue(selItem: AutoCompleteTextBoxEntry): void;
    onSaveComplete: () => void;
    labelClass(): string;
    inputWidth(): string;
    inputClass(): string;
    IsFormGroup(): "" | "form-inline" | "form-group flex-nowrap";
    getTextStyle(): object;
    callEvent(selection: any): void;
    setReadonlyStatus(): void;
    ngOnDestroy(): void;
}
