import { OnInit, EventEmitter } from '@angular/core';
import { NJDocData, NJDocDefTemplate, DOData, componentVM, NJReadDocDefTemplateLookup } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class GridInternalNoCacheComponent implements OnInit {
    data: DocDefPrimLibService;
    private maxRow;
    DocDefTemplate: NJDocDefTemplate;
    lstDocData: Array<NJDocData>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    customParameters: any;
    allowDoubleClick: boolean;
    isValid: boolean;
    isHideTitles: boolean;
    isEnabled: boolean;
    GridID: any;
    isPopUpYesNo: string;
    isPopUpSelected: boolean;
    hasEvent: boolean;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    doubleClick: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    clickLink: EventEmitter<DOData>;
    requestRows: EventEmitter<boolean>;
    gridAfterViewInit: EventEmitter<GridInternalNoCacheComponent>;
    height: number;
    rowHeight: any;
    width: number;
    private ExternalFilterModel;
    private ExternalFilterKey;
    private _columnDefs;
    columnDefs: any[];
    private _rowData;
    rowData: any[];
    _getRows: number[];
    getRows: number[];
    gridOptions: {
        defaultColDef: {
            sortable: boolean;
            filter: boolean;
        };
        pagination: boolean;
        paginationPageSize: number;
        cacheBlockSize: number;
        rowDeselection: boolean;
    };
    private gridIsSecondary;
    components: any;
    frameworkComponents: any;
    private cacheData;
    gridApi: any;
    gridColumnApi: any;
    params: any;
    rowBuffer: any;
    defaultColDef: any;
    rowModelType: any;
    rowSelection: any;
    maxBlocksInCache: any;
    getRowNodeId: any;
    cacheOverflowSize: any;
    maxConcurrentDatasourceRequests: any;
    infiniteInitialRowCount: any;
    datasource: any;
    isHidden: boolean;
    errorMessage: string;
    selectedRow: {};
    selectedRowkeyTemplateId: number;
    private _cellRendererParamsDefs;
    cellRendererParamsDefs: any[];
    constructor(data: DocDefPrimLibService);
    isvalid(): string;
    onGridReady(params: any): void;
    getLastRowIndex(currentLastRow: any, params: any): any;
    ngOnInit(): void;
    hide_grid(): void;
    setHiddenStatus(): void;
    getTimeFormat(d: any, format: string): string;
    calc_data(): void;
    getAllSelectedRowData(): string[];
    getSelectedRowData(): string[];
    deselectAllRows(): void;
    getColumnDataByColumnTemplateCode(templateCodeKey: string): any[];
    onCheckBoxClick(params: any): void;
    onDeleteButtonClick(params: any): void;
    onLinkButtonClick(params: any): void;
    onDropdownClick(params: any): void;
    getDataSource(count: any): any;
    onCellDoubleClicked(params: any): void;
    cellColClicked: any;
    onCellClicked(event: Event): void;
    onCheckBoxClicked(event: Event): void;
    onRowClicked(params: any): void;
    callGridRefresh(): void;
    SetFilterModel(templateCode: string, value: string, customFilter?: string): void;
    onViewportChanged(event: any): void;
    onRequestRows(message: boolean): void;
    FilterColumn(columntoFilter: string, selectedValue: string): void;
    setFilterModel(Filter: any): void;
    ngAfterViewInit(): void;
}
