import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class GridNCheckboxComponent implements OnInit {
    private data;
    private changedata;
    DocDefTemplate: NJDocDefTemplate;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstDocData: Array<NJDocData>;
    customParameters: any;
    lstChildCustomParameters: Array<any>;
    ignorLabel: boolean;
    loaderKey: string;
    isValid: boolean;
    isEnabled: boolean;
    isDirty: boolean;
    errorMessage: string;
    LabelStylesText: any;
    StyleCell: any;
    private chkSelected;
    hasEvent: boolean;
    clickChkbox: EventEmitter<DOData>;
    checkboxAfterViewInit: EventEmitter<GridNCheckboxComponent>;
    nCols: number;
    nRows: number;
    rows: Array<number>;
    cols: Array<number>;
    labelBefore: boolean;
    rowClass: string;
    showLabel: boolean;
    imgLink: string;
    skipPostDocDefData: boolean;
    constructor(data: DocDefPrimLibService, changedata: ChangeDetectorRef);
    ngOnInit(): void;
    isHidden: boolean;
    setHiddenStatus(): void;
    labelClass(): string;
    template(row: number, col: number): NJDocDefTemplate;
    templateIsDefined(row: number, col: number): boolean;
    SetDoCompositeCustomParam(strChgTemplateTemplateCode: string, strNameCustomParameter: string, strValueCustomParameter: string): void;
    IsSelected(docDefTemplateID: number): boolean;
    selectedCheckBox(docDefTemplateID: number): boolean;
    selectedCheckBoxGeneric(docDefTemplateID: number): boolean;
    unSelectedCheckBox(docDefTemplateID: number): boolean;
    onBlurCheckbox(): void;
    clearCheckBoxes(): void;
    selectCheckBoxes(): void;
    doSaveAll(): void;
    doSave(ind: number): void;
    onSaveComplete: () => void;
    Class(template: NJDocDefTemplate): string;
    getTextStyle(template: NJDocDefTemplate): object;
    findParent(parentCode: string, level: number): number;
    selectChk(event: any, val: any): void;
    setLabelPosition(): void;
    onDoChkboxClick(index: number): void;
    getCheckBoxStyle(template: NJDocDefTemplate): string;
    ngAfterViewInit(): void;
    refeshData(): void;
}
