import { OnInit, EventEmitter } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate, NJReadDocDefTemplateLookup } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class GridNRadioButtonComponent implements OnInit {
    private data;
    DocDefTemplate: NJDocDefTemplate;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    customParameters: any;
    ignorLabel: boolean;
    DocData: NJDocData;
    LookupId: string;
    loaderKey: string;
    isValid: boolean;
    isEnabled: boolean;
    hasEvent: boolean;
    skipPostDocDefData: boolean;
    errorMessage: string;
    oldDataValue: string;
    LabelStylesText: any;
    HeaderStylesText: any;
    HeaderClass: string;
    clickRadio: EventEmitter<DOData>;
    private chkSelected;
    test: Array<NJReadDocDefTemplateLookup>;
    isDirty: boolean;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    IsSelected(templateID: number): boolean;
    onBlurRadioButton(): void;
    doSave(): void;
    onSaveComplete: () => void;
    Class(): any;
    getHeaderClass(): string;
    getHeaderTextClass(): string;
    getButonsClass(): string;
    getTextStyle(): object;
    selectRadio(event: any, val: number): void;
    onDoRadioClick(): void;
    ignoreLabel(lookup: NJReadDocDefTemplateLookup): boolean;
    ignoreLabel2(lookup: NJReadDocDefTemplateLookup): boolean;
}
