import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { NestedTreeControl } from '@angular/cdk/tree';
import { MatTreeNestedDataSource, MatTree } from '@angular/material/tree';
import { TreeNode } from '../TreeNode';
import { DOData, TabVM } from '../../DOData';
export declare class MatTreeNestedComponent implements OnInit {
    private _changeDetectorRef;
    dataIn: TreeNode[];
    loaderKey: string;
    readArr: ReadonlyArray<TreeNode>;
    ButonIconMinus: import("@fortawesome/fontawesome-common-types").IconDefinition;
    ButonIconPlus: import("@fortawesome/fontawesome-common-types").IconDefinition;
    listVM: TabVM;
    private _listVM;
    listDocdata: Array<Array<DOData>>;
    selectedNode: TreeNode;
    selectedNodeId: number;
    selectedLevel: string;
    selectedConfigTierId: number;
    selectedMatrixTierId: number;
    activeNode: TreeNode;
    recursive: boolean;
    levels: Map<TreeNode, number>;
    treeControl: NestedTreeControl<TreeNode>;
    dataSource: MatTreeNestedDataSource<TreeNode>;
    mat_tree_nestedAfterViewInit: EventEmitter<MatTreeNestedComponent>;
    mat_tree_nested_SelecteNode: EventEmitter<TreeNode>;
    tree: MatTree<any>;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    hasChildren: (_: number, node: TreeNode) => boolean;
    expandAll(): void;
    collapseAll(): void;
    selectNode(node: any): void;
    refreshTree(_data: TreeNode[]): void;
}
