import { OnInit, EventEmitter } from '@angular/core';
import { DOData, componentVM, NJDocDefTemplate } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class SectionListComponent implements OnInit {
    private data;
    loaderKey: string;
    ignorLabel: boolean;
    private _listVM;
    listVM: Array<DOData>;
    listClass: string;
    listStyle: object;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    clickLink: EventEmitter<DOData>;
    clickRadio: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    onGridClickBut(message: DOData, but: NJDocDefTemplate): void;
    onclickBut(message: DOData): void;
    onclickLink(message: DOData): void;
    onTabEvent(message: componentVM): void;
    editCurItem(message: Array<DOData>): void;
    onclickRadio(message: DOData): void;
}
