import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { DOData, NJDocDefTemplate, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { DobuttonComponent } from '../dobutton/dobutton.component';
export declare class SectionMenuComponent implements OnInit {
    private data;
    loaderKey: string;
    private _accordionVM;
    accordionVM: Array<DOData>;
    ButtonComponents: QueryList<DobuttonComponent>;
    clickBut: EventEmitter<DOData>;
    clickChkbox: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    requestRows: EventEmitter<boolean>;
    private AccordionsOpen;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    getAccordionsVM(): Array<number>;
    getAccordionContentVM(acc: number): Array<DOData>;
    performFilterRow(row: Array<DOData>): Array<DOData>;
    getTemplateCodeAccordion(acc: string): string;
    getTemplateAccordion(acc: string): NJDocDefTemplate;
    getTemplateSectionCode(): string;
    InitAccordionState(): void;
    getAccordionClass(acc: number): string;
    getAccordionStyle(acc: number): object;
    opened(acc: number): void;
    onTabEvent(message: componentVM): void;
    onclickBut(message: DOData): void;
    onclickChkbox(message: DOData): void;
    onRequestRows(message: boolean): void;
    ngAfterViewInit(): void;
    getPrimitives(): Array<DOData>;
    setHidden(customParameters: any): boolean;
    setDisabled(customParameters: any): boolean;
}
