import { OnInit, EventEmitter, ComponentFactoryResolver, ComponentRef, SimpleChanges, ComponentFactory } from '@angular/core';
import { DOData } from "../DOData";
import { DOTextBoxComponent } from '../dotext-box/dotext-box.component';
import { DotextBoxSglComponent } from '../dotext-box-sgl/dotext-box-sgl.component';
import { DodropDownComponent } from '../dodrop-down/dodrop-down.component';
import { DotextBoxAutocompleteComponent } from '../dotext-box-autocomplete/dotext-box-autocomplete.component';
import { DoDateNgComponent } from '../do-date-ng/do-date-ng.component';
import { GridNCheckboxComponent } from '../grid-ncheckbox/grid-ncheckbox.component';
import { GridNRadioButtonComponent } from '../grid-nradiobutton/grid-nradiobutton.component';
import { DoimageComponent } from '../doimage/doimage.component';
import { DobuttonComponent } from '../dobutton/dobutton.component';
import { GridInternalAgGridComponent } from '../grid-internal-ag-grid/grid-internal-ag-grid.component';
import { DOLabelComponent } from '../dolabel/dolabel.component';
export declare class CyTemplateItemComponent implements OnInit {
    private componentFactoryResolver;
    private _data;
    data: DOData;
    loaderKey: string;
    private container;
    ngOnChanges(changes: SimpleChanges): void;
    readonly templateMapper: {
        Image: typeof DoimageComponent;
        Label: typeof DOLabelComponent;
        TextBox: typeof DOTextBoxComponent;
        TextBoxWEvent: typeof DOTextBoxComponent;
        TextBoxAutoComplete: typeof DotextBoxAutocompleteComponent;
        TextBoxSng: typeof DotextBoxSglComponent;
        Date: typeof DoDateNgComponent;
        GridNCheckBox: typeof GridNCheckboxComponent;
        GridNRadio: typeof GridNRadioButtonComponent;
        Button: typeof DobuttonComponent;
        DropDown: typeof DodropDownComponent;
        DropDownWEvent: typeof DodropDownComponent;
        Grid: typeof GridInternalAgGridComponent;
        Grid1: typeof GridInternalAgGridComponent;
        Grid2: typeof GridInternalAgGridComponent;
    };
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    componentFactory: ComponentFactory<{}>;
    componentRef: ComponentRef<{}>;
    createComponent(): void;
    private SubscribeToPrimEventEmitter;
    AGGrid(componentRef: ComponentRef<{}>): void;
    DODropDown(componentRef: ComponentRef<{}>): void;
    DOButton(componentRef: ComponentRef<{}>): void;
    DODate(componentRef: ComponentRef<{}>): void;
    TextBox(componentRef: ComponentRef<{}>): void;
    TextBoxAutoComplete(componentRef: ComponentRef<{}>): void;
    TextBoxSingleLine(componentRef: ComponentRef<{}>): void;
    private gridNRadioButton;
    private gridNCheckBox;
    EventToEmit: EventEmitter<EventEmitterWrapper>;
    EmitEvent(action: string, event: any): void;
    private getComponentForTemplateType;
    ngOnDestroy(): void;
}
export declare class EventEmitterWrapper {
    constructor();
    EventType: string;
    DataEmitted: any;
}
