import { OnInit } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { DocDefPrimLibService } from '../../../doc-def-prim-lib.service';
import { DOData, NJDocData } from "../../DOData";
import { SectionTableComponent } from 'projects/doc-def-prim-lib/src/public-api';
export declare class DiagnosisChildWindowComponent implements OnInit {
    activeModal: NgbActiveModal;
    private dataLib;
    loaderKey: string;
    apiController: string;
    modal_title: string;
    calledFrom: string;
    calledFromID: number;
    listDocdata: Array<Array<DOData>>;
    listDocdataFooter: Array<Array<DOData>>;
    private tabCode;
    private tabCodeFooter;
    private strDocDefTypeSubCode;
    private gridTemplateCode;
    private _canClick;
    isDataAvailable: boolean;
    private diagnosisData;
    private primitivesGrid;
    private primitives;
    private primitives2;
    validationMsgs: string;
    private selectedDiag;
    private objDiag;
    constructor(activeModal: NgbActiveModal, dataLib: DocDefPrimLibService);
    returnResponse(): void;
    dismiss(): void;
    mobHeight: number;
    mobWidth: number;
    height: Number;
    onResize(event: any): void;
    ngOnInit(): void;
    initSetup(): void;
    loadSearchDiagnosis(gridTemplateCode: string): void;
    loadFooter(validate: boolean): void;
    showValidationMessages(msg: string): void;
    getDOData(templateCode: string): any;
    getDODataFromFooter(templateCode: string): any;
    onClickButton(d: DOData): void;
    onGridDoubleClick(d: DOData): void;
    sendSelectedDiag(result: {}): void;
    buildDiagData(result: {}, lstGrid: DOData[]): NJDocData[];
    searchDiagnosis(): void;
    sectionGrid_tableAfterViewInit(c: SectionTableComponent): void;
    sectionGrid_tableAfterViewInit_footer(c: SectionTableComponent): void;
}
