import { OnInit, TemplateRef } from '@angular/core';
import { NgbActiveModal, NgbModal, NgbModalOptions, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { DocDefPrimLibService } from '../../../doc-def-prim-lib.service';
import { DOData, modalParams } from "../../DOData";
import { SectionTableComponent } from '../../section-table/section-table.component';
declare class clsTemplates {
    templateCode: string;
    value: string;
    constructor(templateCode: string, value: string);
}
export declare class ModalSearchYouthComponent implements OnInit {
    activeModal: NgbActiveModal;
    private dataLib;
    private modalService;
    modal_tab: string;
    modal_gridTemplateCode: string;
    modal_search_title: string;
    modal_search_content: string;
    returnData: boolean;
    IDType: string;
    MemberID: string;
    FirstName: string;
    LastName: string;
    DOB: string;
    SSN: string;
    Age: string;
    Gender: string;
    ParentName: string;
    listTemplates: Array<clsTemplates>;
    loaderKey: string;
    private strDocDefTypeSubCode;
    private primitives;
    modalOptions: NgbModalOptions;
    gridRowsLength: string;
    isDataAvailable: boolean;
    showReport: boolean;
    listDocdata: Array<Array<DOData>>;
    private selectedRow;
    displayTextModal: TemplateRef<any>;
    displayTextModalRef: NgbModalRef;
    displayTextModalTitle: string;
    displayTextModalBody: string;
    constructor(activeModal: NgbActiveModal, dataLib: DocDefPrimLibService, modalService: NgbModal);
    returnResponse(): void;
    dismiss(): void;
    noEntriesFound(): void;
    ReportData: Uint8Array;
    params: modalParams;
    mobHeight: number;
    mobWidth: number;
    height: Number;
    onResize(event: any): void;
    ngOnInit(): void;
    isMoreThanOne(): void;
    onClickButton(d: DOData): void;
    onGridDoubleClick(d: DOData): void;
    displayTextModalModal(title: string, modalBodyText: string): void;
    closeDisplayTextModalModal(): void;
    CheckQuickSerachResult(memberId: string): void;
    report2Tab(): void;
    printReport(): void;
    onSection_tableAfterViewInit(c: SectionTableComponent): void;
}
export {};
