import { NgbModal, NgbModalOptions, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { NJDocData, childSearchReq, GoogleMapType } from '../DOData';
interface Callback {
    (message: Array<NJDocData>): void;
}
export declare class wrappersService {
    private modalService;
    modalRef: NgbModalRef;
    callback: Callback;
    closeResult: string;
    modalOptions: NgbModalOptions;
    constructor(modalService: NgbModal);
    GetZipPromise(zip: string): NgbModalRef;
    GetProgramsForUserPromise(): NgbModalRef;
    GetSearchPromise(param: childSearchReq): NgbModalRef;
    getDismissReason(reason: any): string;
    GetGoogMapPromise(param: GoogleMapType): NgbModalRef;
    GetDiagnosisChildWindowPromise(params: any): NgbModalRef;
    GetGenericTextBodyReaderPromise(params: any, size?: string): NgbModalRef;
    GetCallIdPromise(): NgbModalRef;
    GetPlanApprovalPromise(): NgbModalRef;
}
export {};
