import { OnInit, EventEmitter } from '@angular/core';
import { NJDocData, NJDocDefTemplate, DOData, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DobuttonComponent implements OnInit {
    private data;
    DocDefTemplate: NJDocDefTemplate;
    customParameters: any;
    DocData: NJDocData;
    _isEnabled: boolean;
    isEnabled: boolean;
    isInGroup: boolean;
    isHidden: boolean;
    isDisabled: boolean;
    ButonIcon: import("@fortawesome/fontawesome-common-types").IconDefinition;
    butClass: string;
    StylesButton: any;
    StylesCell: any;
    url: string;
    clickBut: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    buttonAfterViewInit: EventEmitter<DobuttonComponent>;
    elemOnBlurGoto: any;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    setOnBlurGoto(element: any): void;
    onBlurBut(event: any): boolean;
    onDoButtonClick(): void;
    resetButClass(): void;
    setHiddenStatus(): void;
    setReadonlyStatus(isEnabled: boolean): void;
    ngAfterViewInit(): void;
}
