import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate, NJReadDocDefTemplateLookup } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DodropDownComponent implements OnInit {
    private data;
    private ref;
    DocDefTemplate: NJDocDefTemplate;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    lstDocData: NJDocData;
    customParameters: any;
    skipPostDocDefData: boolean;
    private _docData;
    DocData: NJDocData;
    LookupId: string;
    loaderKey: string;
    isPopUpYesNo: string;
    isValid: boolean;
    _isEnabled: boolean;
    isEnabled: boolean;
    ignorLabel: boolean;
    hasEvent: boolean;
    clickBut: EventEmitter<DOData>;
    clickEventStart: EventEmitter<DOData>;
    keyDown: EventEmitter<DOData>;
    dropDownAfterViewInit: EventEmitter<DodropDownComponent>;
    cascadingDropDown: boolean;
    lstAllDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    selectedLookup: NJReadDocDefTemplateLookup;
    _selectedLookupValue: string;
    selectedLookupValue: any;
    ItemSelectedLookupId: number;
    errorMessage: string;
    isDisabled: boolean;
    isDirty: boolean;
    isHidden: boolean;
    isUseButtons: boolean;
    isLabelHidden: boolean;
    inputStyles: any;
    LabelStylesText: any;
    StylesInput: any;
    dataSize: string;
    constructor(data: DocDefPrimLibService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    static createCopy(objectToCopy: NJReadDocDefTemplateLookup): NJReadDocDefTemplateLookup;
    isNumber(value: string | number): boolean;
    onKeydown(e: KeyboardEvent): void;
    onSelectItem(LookupId: any): void;
    fireEventBefore(): void;
    getLstDocDefTemplateLookup(): Array<NJReadDocDefTemplateLookup>;
    onSelect(LookupId: number): void;
    fireEvent(): void;
    onBlurDD(): void;
    evCallBackWhenClean: DOData;
    evComponent: any;
    CallBackWhenClean(ev: any, component: any): void;
    onSaveComplete(_this: any): void;
    setCascadingDDByLookupId(findLookupId: number, resetSelection?: boolean, SelectedDesc?: string, AutoCascading?: boolean, showAll?: boolean, overrideSorting?: boolean): void;
    setCascadingDD(findLookupId: number, resetSelection?: boolean, SelectedDesc?: string): void;
    labelClass(): string;
    labelDivClass(): string;
    inputWidth(): string;
    getInputStyle(): object;
    getMenuStyles(): object;
    getOptionStyles(): object;
    IsFormGroup(): string;
    getClassButton(): string;
    getClassDDItem(lookup: NJReadDocDefTemplateLookup): string;
    getStyleDDItem(lookup: NJReadDocDefTemplateLookup): string;
    getSelectedLookupDesc(): string;
    getLookupDesc(lookup: NJReadDocDefTemplateLookup): string;
    resetSelection: (option?: string) => void;
    resetSelectionById: (option?: string) => void;
    setHiddenStatus(): void;
    setReadonlyStatus(isEnabled: boolean): void;
    removeDropDownData(): void;
    ngAfterViewInit(): void;
}
