import { OnInit, EventEmitter } from '@angular/core';
import { NJDocData, NJDocDefTemplate, DOData, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DolinkComponent implements OnInit {
    private data;
    DocDefTemplate: NJDocDefTemplate;
    customParameters: any;
    DocData: NJDocData;
    isEnabled: boolean;
    linkIcon: import("@fortawesome/fontawesome-common-types").IconDefinition;
    linkClass: string;
    stylesLink: any;
    URL: string;
    clickLink: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    elemOnBlurGoto: any;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    setOnBlurGoto(element: any): void;
    onBlurLink(event: any): boolean;
    onDoLinkClick(): void;
}
