import { OnInit, EventEmitter, ElementRef, ChangeDetectorRef } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate, componentVM } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DOTextBoxNoCacheComponent implements OnInit {
    private data;
    private element;
    private changeDetectorRef;
    DocDefTemplate: NJDocDefTemplate;
    customParameters: any;
    private _docData;
    DocData: NJDocData;
    loaderKey: string;
    isValid: boolean;
    RowSelected: any;
    private _isEnabled;
    isEnabled: boolean;
    isPopUpYesNo: string;
    ignorLabel: boolean;
    isLoading: boolean;
    hasEvent: boolean;
    localhasEvent: boolean;
    clickBut: EventEmitter<DOData>;
    tbDblClick: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    textBoxAfterViewInit: EventEmitter<DOTextBoxNoCacheComponent>;
    txtDocDefTemplate: NJDocDefTemplate;
    txtDocData: NJDocData;
    errorMessage: string;
    StylesText: any;
    TextBoxStyle: any;
    TextBoxStyles: any;
    TextBoxClasses: any;
    rows: string;
    textAreaHeight: string;
    showTestText: number;
    boolUseTestText: boolean;
    MaxLength: string;
    tabEventSent: boolean;
    isHidden: boolean;
    shouldSaveBeforeContinuing: boolean;
    hasSavedSoContinue: boolean;
    TestTextElem: ElementRef;
    LabelStylesText: any;
    isDirty: boolean;
    isReadOnly: boolean;
    private onKeydownKey;
    constructor(data: DocDefPrimLibService, element: ElementRef, changeDetectorRef: ChangeDetectorRef);
    txtValue: string;
    onKeydown(event: any): void;
    private fmtSSN;
    private fmtPhone;
    private NumericOnly;
    setTextHeight(): void;
    adjust(): void;
    getId(): string;
    onBlurText(): void;
    ngOnInit(): void;
    getTextStyle(): object;
    ngOnChanges(): void;
    StackLabelNo(): "" | "form-inline" | "form-group flex-nowrap";
    classFromParams(): string;
    labelWidth(): string;
    inputWidth(): string;
    onTbDblClick(): void;
    setFocus(): void;
    clearTextbox(): void;
    setTextToValue(value: string): void;
    setHiddenStatus(): void;
    setReadonlyStatus(): void;
    ngAfterViewInit(): void;
}
