import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate } from "../DOData";
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
export declare class DotextBoxSglComponent implements OnInit {
    private data;
    private changeDetectorRef;
    DocDefTemplate: NJDocDefTemplate;
    loaderKey: string;
    private _docData;
    skipPostDocDefData: boolean;
    DocData: NJDocData;
    customParameters: any;
    ignorLabel: boolean;
    isValid: boolean;
    RowSelected: any;
    private _isEnabled;
    TextBoxStyles: any;
    isEnabled: boolean;
    clickBut: EventEmitter<DOData>;
    labelClass(): string;
    _isDirty: boolean;
    isDirty: boolean;
    isLoading: boolean;
    hasEvent: boolean;
    localhasEvent: boolean;
    localEventFired: boolean;
    txtDocData: NJDocData;
    txtDocDefTemplate: NJDocDefTemplate;
    errorMessage: string;
    LabelStylesText: any;
    isReadOnly: boolean;
    private onKeydownKey;
    inputType: string;
    placeholder: string;
    MaxLength: string;
    TextBoxStyle: any;
    isLabelHidden: boolean;
    isHidden: boolean;
    isDeactivateDirty: boolean;
    constructor(data: DocDefPrimLibService, changeDetectorRef: ChangeDetectorRef);
    txtValue: string;
    onKeydown(event: any): void;
    private formatMaskedSSN;
    private fmtSSN;
    private fmtPhone;
    private NumericOnly;
    ngOnInit(): void;
    setHiddenStatus(): void;
    IsFormGroup(): "" | "form-group flex-nowrap";
    classFromParams(): string;
    getTextStyle(): object;
    ngOnChanges(): void;
    clearTextbox(): void;
    setTextToValue(value: string): void;
    onBlurText(): void;
    evCallBackWhenClean: DOData;
    evComponent: any;
    CallBackWhenClean(ev: any, component: any): void;
    onSaveComplete: () => void;
}
