import { OnInit, EventEmitter } from '@angular/core';
import { NJDocDefTemplate, NJDocData, NJReadDocDefTemplateLookup, DOData } from '../DOData';
import { DOTextBoxComponent } from '../dotext-box/dotext-box.component';
import { DodropDownComponent } from '../dodrop-down/dodrop-down.component';
export declare class DropdownCommentsComponent implements OnInit {
    DocDefTemplate: NJDocDefTemplate;
    loaderKey: string;
    skipPostDocDefData: boolean;
    lstDocData: Array<NJDocData>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    customParameters: any;
    allowDoubleClick: boolean;
    isValid: boolean;
    isEnabled: boolean;
    clickBut: EventEmitter<DOData>;
    ddTemp: NJDocDefTemplate;
    txtTemp: NJDocDefTemplate;
    isTextValid: boolean;
    ddData: NJDocData;
    txtData: NJDocData;
    radio: boolean;
    isHidden: boolean;
    hasEvent: boolean;
    _isDirty: boolean;
    readonly isDirty: boolean;
    constructor();
    ngOnInit(): void;
    setTextValid(): NJDocDefTemplate;
    onclickBut(message: DOData): void;
    onTabEvent(ev: any): void;
    textBox: DOTextBoxComponent;
    OnTextAfterViewInit(c: DOTextBoxComponent): void;
    dropDown: DodropDownComponent;
    OnDropDownAfterViewInit(c: DodropDownComponent): void;
    CallBackWhenClean(ev: any, component: any): void;
}
