import { OnInit } from '@angular/core';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { GridInternalAgGridComponent } from './grid-internal-ag-grid.component';
export declare class GridInternalAgGridClComponent extends GridInternalAgGridComponent implements OnInit {
    data: DocDefPrimLibService;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    getRowData(): any[];
    gridOptions: {
        onFirstDataRendered: () => void;
        onColumnResized: () => void;
        defaultColDef: {
            sortable: boolean;
            filter: boolean;
            resizable: boolean;
            headerComponentParams: {
                template: string;
            };
            pdfExportOptions: {};
        };
        pagination: boolean;
        paginationPageSize: number;
        cacheBlockSize: number;
        rowDeselection: boolean;
        accentedSort: boolean;
    };
    onGridReady(params: any): void;
    callGridReload(templateCode: string, Api: string): void;
    headerHeightSetter(): void;
    callGridRefresh(): void;
}
