import { OnInit, EventEmitter } from '@angular/core';
import { NJDocData, NJDocDefTemplate, DOData, componentVM } from '../DOData';
import { ChangeDetectorRef } from '@angular/core';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { IconDefinition } from '@fortawesome/free-solid-svg-icons';
export declare class GridInternalComponent implements OnInit {
    private cdr;
    private data;
    private maxRow;
    DocDefTemplate: NJDocDefTemplate;
    loaderKey: string;
    lstDocData: Array<NJDocData>;
    inChildDocDefTemplate: Array<NJDocDefTemplate>;
    customParameters: any;
    allowDoubleClick: boolean;
    isValid: boolean;
    isHideTitles: boolean;
    isEnabled: boolean;
    GridID: any;
    isPopUpYesNo: string;
    isPopUpSelected: boolean;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    clickLink: EventEmitter<DOData>;
    buttonClickPending: number;
    private sectionClass;
    gridStyle: object;
    tableStyle: object;
    height: string;
    ButonIcon: IconDefinition;
    private sortDirection;
    curSortCol: number;
    curRow: Array<DOData>;
    selectedRow: number;
    getColsAll: Array<DOData>;
    _getCols: Array<DOData>;
    getCols: Array<DOData>;
    _getRows: number[];
    getRows: number[];
    _lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    constructor(cdr: ChangeDetectorRef, data: DocDefPrimLibService);
    ngOnInit(): void;
    getRowStyle(row: any): object;
    getValidation(): string;
    getValidationStyle(): object;
    ngOnChanges(): void;
    getGridVM_byRow(row: number): Array<DOData>;
    performFilterRow(row: number): Array<DOData>;
    getGridVM_byRowAll(row: number): Array<DOData>;
    performFilterRowAll(row: number): Array<DOData>;
    getColSpan(item: DOData): number;
    calc_rows(): void;
    thClick(col: NJDocDefTemplate): void;
    sort_rows(col: number): void;
    sortIdx(a: any, b: any): number;
    calc_cols(): void;
    calc_colsAll(): void;
    editCurItem(event: DOData): void;
    SetClass(): string;
    findHeaderClass(template: NJDocDefTemplate): string;
    findHeaderStyles(template: NJDocDefTemplate): any;
    addItem(items: Array<NJDocData>): void;
    onclickBut(event: DOData): void;
    onTabEvent(event: componentVM): void;
    onclickLink(message: DOData): void;
}
