import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { DOData, NJDocDefTemplate, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { DobuttonComponent } from '../dobutton/dobutton.component';
export declare class SectionAccordionComponent implements OnInit {
    private data;
    loaderKey: string;
    private _accordionVM;
    accordionVM: Array<Array<DOData>>;
    isHidden: boolean;
    customParameters: any;
    ButtonComponents: QueryList<DobuttonComponent>;
    section_tableAfterViewInit: EventEmitter<SectionAccordionComponent>;
    clickBut: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    requestRows: EventEmitter<boolean>;
    private AccordionsOpen;
    accClass: string;
    constructor(data: DocDefPrimLibService);
    ngOnInit(): void;
    getAccordionsVM(): Array<number>;
    getAccordionContentVM(acc: number): Array<DOData>;
    performFilterRow(row: Array<DOData>): Array<DOData>;
    getTemplateCodeAccordion(acc: string): string;
    getTemplateAccordion(acc: string): NJDocDefTemplate;
    getTemplateSectionCode(): string;
    InitAccordionState(): void;
    getCollapse(acc: number): string;
    getAccordionHeaderClass(acc: number, cardClass: string): string;
    getAccordionClasses(acc: number, classes: string): string;
    setHiddenStatus(acc: number): void;
    getAccordionStyle(acc: number): object;
    opened(acc: number): void;
    onTabEvent(message: componentVM): void;
    onclickBut(message: DOData): void;
    onRequestRows(message: boolean): void;
    ngAfterViewInit(): void;
    getPrimitives(): Array<DOData>;
}
