import { OnInit, QueryList, EventEmitter } from '@angular/core';
import { DOData, NJDocDefTemplate, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { DOTextBoxComponent } from '../dotext-box/dotext-box.component';
import { DodropDownComponent } from '../dodrop-down/dodrop-down.component';
import { DotextBoxAutocompleteComponent } from '../dotext-box-autocomplete/dotext-box-autocomplete.component';
import { DoDateNgComponent } from '../do-date-ng/do-date-ng.component';
import { GridNCheckboxComponent } from '../grid-ncheckbox/grid-ncheckbox.component';
import { GridNRadioButtonComponent } from '../grid-nradiobutton/grid-nradiobutton.component';
import { GridInternalComponent } from '../grid-internal/grid-internal.component';
import { DobuttonComponent } from '../dobutton/dobutton.component';
import { GridInternalAgGridComponent } from '../grid-internal-ag-grid/grid-internal-ag-grid.component';
import { DOLabelComponent } from '../dolabel/dolabel.component';
import { EventEmitterWrapper } from './cy-template-item.component';
export declare class SectionTableDynamicComponent implements OnInit {
    private data;
    constructor(data: DocDefPrimLibService);
    private maxCol;
    private maxRow;
    rowNumbers: Array<String>;
    private _tableVM;
    sectionClass: string;
    ignorLabel: boolean;
    loaderKey: string;
    tableVM: Array<DOData>;
    ToTdClassWid: object;
    ToTdClassWidSM: object;
    ToTdClassWidXS: object;
    ToTdClass: object;
    rowClass: string;
    private cellClass;
    cellStyle: string;
    curRow: Array<Array<DOData>>;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    clickChkbox: EventEmitter<DOData>;
    clickRadio: EventEmitter<DOData>;
    gridDoubleClick: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    requestRows: EventEmitter<boolean>;
    section_tableAfterViewInit: EventEmitter<SectionTableDynamicComponent>;
    section_tableAfterViewChecked: EventEmitter<SectionTableDynamicComponent>;
    DOLabelComponents: QueryList<DOLabelComponent>;
    TextBoxComponents: QueryList<DOTextBoxComponent>;
    DateComponents: QueryList<DoDateNgComponent>;
    DropDownsComponents: QueryList<DodropDownComponent>;
    GridNCheckboxComponents: QueryList<GridNCheckboxComponent>;
    DotextBoxAutocompleteComponents: QueryList<DotextBoxAutocompleteComponent>;
    GridNRadioButtonComponents: QueryList<GridNRadioButtonComponent>;
    GridInternalComponents: QueryList<GridInternalComponent>;
    DobuttonComponents: QueryList<DobuttonComponent>;
    GridInternalAgGridComponents: QueryList<GridInternalAgGridComponent>;
    getScrRowParam(customParameters: any): string;
    ngOnInit(): void;
    ngOnChanges(): void;
    hasToStyle(): boolean;
    getCellClass(item: DOData): string;
    getFormClass(item: DOData): string;
    getCols2End(col: number, span: number, colWidClass: object): string;
    getTableVM_byCol(col: string): Array<DOData>;
    getFlexClass(item: DOData, i: number): string;
    performFilter(col: string): Array<DOData>;
    getTableVM_byRow(row: string): Array<DOData>;
    getlstInCell(arrIndex: number): Array<DOData>;
    performFilterRow(row: string): Array<DOData>;
    getTableVM_cols(): string[];
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    getPrimitives(): Array<DOData>;
    enableButton(templaceCode: string, state: boolean): void;
    resetDropdown(templateId: number): void;
    clearTextbox(templateId: number): void;
    setTextInTextbox(templateId: number, value: string): void;
    clearDropdowns(): void;
    clearTextboxes(): void;
    clearGridNCheckboxes(): void;
    onGridClickBut(message: DOData, but: NJDocDefTemplate): void;
    onclickBut(message: DOData): void;
    onclickChkbox(message: DOData): void;
    onDoubleClickGrid(message: DOData): void;
    onTabEvent(message: componentVM): void;
    editCurItem(message: Array<DOData>): void;
    onclickRadio(message: DOData): void;
    onRequestRows(message: boolean): void;
    EventEmittedfromTItem(event: EventEmitterWrapper): void;
}
