import { OnInit } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { DocDefPrimLibService } from '../../../doc-def-prim-lib.service';
import { DOData } from "../../DOData";
import { SectionTableComponent } from 'projects/doc-def-prim-lib/src/public-api';
export declare class GenericTextBodyReaderComponent implements OnInit {
    activeModal: NgbActiveModal;
    private dataLib;
    loaderKey: string;
    apiController: string;
    modal_title: string;
    selectedDiag: string;
    tabTemplateCode: string;
    private tabCode;
    private tabCodeFooter;
    listDocdata: Array<Array<DOData>>;
    listDocdataFooter: Array<Array<DOData>>;
    private strDocDefTypeSubCode;
    private gridTemplateCode;
    private primitives;
    private lstPrimitives;
    private _canClick;
    isDataAvailable: boolean;
    private diagnosisData;
    private primitivesGrid;
    private primitives2;
    validationMsgs: string;
    private selectedRow;
    constructor(activeModal: NgbActiveModal, dataLib: DocDefPrimLibService);
    returnResponse(): void;
    dismiss(): void;
    mobHeight: number;
    mobWidth: number;
    height: Number;
    onResize(event: any): void;
    ngOnInit(): void;
    initSetup(): void;
    loadReader(): void;
    loadFooter(validate: boolean): void;
    checkValidationMessages(validate: boolean): void;
    getDOData(templateCode: string): any;
    getDODataFromFooter(templateCode: string): any;
    onClickButton(d: DOData): void;
    sendTxtBody(): void;
    closeModal(): void;
    onSection_tableAfterViewInit(c: SectionTableComponent): void;
    sectionGrid_tableAfterViewInit_footer(c: SectionTableComponent): void;
}
