import { OnInit } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { DocDefPrimLibService } from '../../../doc-def-prim-lib.service';
import { DOData, modalParams } from "../../DOData";
import { SectionTableComponent } from '../../section-table/section-table.component';
declare class clsTemplates {
    templateCode: string;
    value: string;
    constructor(templateCode: string, value: string);
}
export declare class ModalPlanApprovalComponent implements OnInit {
    activeModal: NgbActiveModal;
    private dataLib;
    modal_tab: string;
    modal_gridTemplateCode: string;
    modal_plan_approval_title: string;
    modal_plan_approval_content: string;
    listTemplates: Array<clsTemplates>;
    loaderKey: string;
    private strDocDefTypeSubCode;
    private primitives;
    isDataAvailable: boolean;
    showReport: boolean;
    listDocdata: Array<Array<DOData>>;
    private selectedRow;
    constructor(activeModal: NgbActiveModal, dataLib: DocDefPrimLibService);
    returnResponse(): void;
    dismiss(): void;
    ReportData: Uint8Array;
    params: modalParams;
    mobHeight: number;
    mobWidth: number;
    height: Number;
    onResize(event: any): void;
    ngOnInit(): void;
    onClickButton(d: DOData): void;
    onGridDoubleClick(d: DOData): void;
    report2Tab(): void;
    onSection_tableAfterViewInit(c: SectionTableComponent): void;
}
export {};
